Описание API MDM для Сбербанка
=
> По требованиям [TS-32355](http://10.17.7.11/task/32355?thisframe=true) для Сбербанка используются
> не [все имеющиеся API](../../../api/protocol/mdm/README.md).

JSON-schema Draft-07 (SOWA)
-

| роут                        | наименование                                                                                                      |
|-----------------------------|-------------------------------------------------------------------------------------------------------------------|
| api/v1/events               | [Универсальное событие](./components/schemas/v1_events.json)                                                      |
| api/v2/applist              | [Сообщение об установленных приложениях](./components/schemas/v2_applist.json)                                    |
| api/v2/queue                | [Очередь](./components/schemas/v2_queue.json)                                                                     |
| api/v2/store/apps/{app_uid} | [Отметить приложение для установки или удаления из store](./components/schemas/v2_store_application_install.json) |
| {"error": "message"}        | [Контейнер для ошибки](./components/schemas/co_error_box.json)                                                    |

[Ссылка](sowa_mdm.zip) на актуальный автоархив с указанными файлами.

OpenAPI 3.0.2 (Swagger)
-

### [api_v1](./v1)

| роут                                                  | наименование                                                         |
|-------------------------------------------------------|----------------------------------------------------------------------|
| /mdm                                                  | [Доклад iOS-устройства](./mdm_ref/mdm.yaml)                          |
| /checkin                                              | [Доклад iOS-устройства](./mdm_ref/mdm.yaml)                          |
| /check/mdm/above/4/6                                  | [Служебное API для монитора iOS](./v2/check_version.yaml)            |
| /monitor                                              | [Управление Монитором iOS](./mdm/monitor.yaml)                       |
| api/v1/downloads/{app_id}                             | [загрузка приложения](./v1/downloads.yaml)                           |
| /v1/events                                            | [Универсальное событие](./v1/events.yaml)                            |
| api/v1/events                                         | [Универсальное событие](./v1/events.yaml)                            |
| api/v1/monitor_update_config/{deploy_location}        | [Обновление монитора](./v1/monitor_update.yaml)                      |
| /api/v1/apps/manifest/<app_uid>                       | [Запрос информации о доверенном приложении](./v1/apps_manifest.yaml) |
| /api/v1/apps/installation/<kit_id>/<app_id>/<app_uid> | [Загрузка корпоративного приложения](./v1/apps_installation.yaml)    |
| /api/v1/apps/<app_uid>/icons/<app_id>                 | [Загрузка иконки приложения](./v1/apps_icon.yaml)                    |
| /api/v1/mtls_scep_config                              | [Получение настроек SCEP](./v1/mtls_scep_config.yaml)                |
| /api/v1/certificate                                   | [Получение серверного сертификата](./v1/certificate.yaml)            |
| /api/v1/permitted_sims                                | [Получение серверного сертификата](./v1/permitted_sims.yaml)         |

### [api_v2](./v2)

| роут                                            | наименование                                                                                  |
|-------------------------------------------------|-----------------------------------------------------------------------------------------------|
| api/v2/store/apps                               | [Список приложений](./v2/store/store_apps_list.yaml)                                          |
| api/v2/store/apps/{app_uid}                     | [Отметить приложение для установки или удаления из store](./v2/store/store_apps_request.yaml) |
| api/v2/store/images/{app_id}                    | [Получение иконки по номеру приложения](./v2/store/store_images.yaml)                         |
| api/v2/android/settings                         | [Запрос объекта настроек монитора](./v2/android_setting.yaml)                                 |
| api/v2/app_config/{config_id}/version/{version} | [Запрос конфигурации приложения](./v2/app_config.yaml)                                        |
| api/v2/app_rule/{app_rule_id}/version/{version} | [Запрос ПУП](./v2/app_rule.yaml)                                                              |
| api/v2/applist                                  | [Сообщение об установленных приложениях](./v2/applist.yaml)                                   |
| api/v2/assignment_references                    | [Запрос списка назначений](./v2/assignment_references.yaml)                                   |
| api/v2/get/icon/{app_id}                        | [Запрос иконки приложения](./v2/get_icon.yaml)                                                |
| api/v2/profiles/{profile_id}/version/{version}  | [Запрос профиля устройства](./v2/profiles.yaml)                                               |
| api/v2/queue                                    | [Очередь](./v2/queue.yaml)                                                                    |
| api/v2/send_file/{task_id}/{checksum}           | [Получение файла](./v2/send_file.yaml)                                                        |
| api/v2/substitutions                            | [Запрос списка подстановок](./v2/substitutions.yaml)                                          |

### [api_v3](./v3)

| роут                                            | наименование                                                |
|-------------------------------------------------|-------------------------------------------------------------|
| api/v3/app_rule/{app_rule_id}/version/{version} | [Запрос ПУП](./v3/app_rule.yaml)                            |
| api/v3/get/icon/{ico_id}                        | [Запрос иконки по номеру](./v3/get_icon.yaml)               |
| api/v3/assignment_references                    | [Запрос списка назначений](./v3/assignment_references.yaml) |

### [api_v4](./v4)

| роут                                            | наименование                                                |
|-------------------------------------------------|-------------------------------------------------------------|
| api/v4/app_rule/{app_rule_id}/version/{version} | [Запрос ПУП](./v4/app_rule.yaml)                            |
| api/v4/assignment_references                    | [Запрос списка назначений](./v4/assignment_references.yaml) |
